Subject: Re: [i2rs] I2RS Interim Meeting - June 1, 2016 - 10:00am - 11:00am - Topic: Ephemeral State Requirements - fyi symbols

From: "Susan Hares" <[email-masked]>
Date: Wed, 1 Jun 2016 08:59:20 -0400

Juergen:   

:== comes from := (defined as) from the mathematical symbols. 

x := y, y =: x or x ≡ y means x is defined to be another name for

https://en.wikipedia.org/wiki/List_of_mathematical_symbols

x := y  defined the same as. 

Expansion on this is text use x:== to be definition.  Some use ::= 

Sue 

From: i2rs [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Wednesday, June 01, 2016 8:25 AM
To: Juergen Schoenwaelder
Cc: 'Jeffrey Haas'; [email-masked]; 'Benoit Claise'; 'Alia Atlas'
Subject: Re: [i2rs] I2RS Interim Meeting - June 1, 2016 - 10:00am - 11:00am - Topic: Ephemeral State Requirements

:== is a symbol that translates to defines as.  

Left side :== (defines as) right side info

Cat:== animal small furry

Sue

Sent via the Samsung Galaxy Note5, an AT&T 4G LTE smartphone

-------- Original message --------

From: Juergen Schoenwaelder <[email-masked]> 

Date: 6/1/2016 4:25 AM (GMT-05:00) 

To: Susan Hares <[email-masked]> 

Cc: 'Jeffrey Haas' <[email-masked]>, [email-masked], 'Benoit Claise' <[email-masked]>, 'Alia Atlas' <[email-masked]> 

Subject: Re: [i2rs] I2RS Interim Meeting - June 1, 2016 - 10:00am - 11:00am - Topic: Ephemeral State Requirements 

On Tue, May 31, 2016 at 03:29:55PM -0400, Susan Hares wrote:
> Juergen: 
> 
> 
> >I understand YANG validation rules and I understand YANG's notion of
> configuration datastores. I do not >think this matches your ephemeral
> configuration validation.
> 
> This does not provide a technical discussion of: 
> a) what you understand the ephemeral configuration validation rules to be, 
> b) why you do not the model matches the configuration validation rules. 
> 
> 1 Data Model is a great idea for NETCONF/NETMOD.  However, it should
> encompass 
> 
> Ephemeral data:== ephemeral state ::== Ephemeral configuration + Ephemeral
> operational state 
>

Unless you define what the terms mean and what ::== means I have no
clue what you are trying to convey here.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>